Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.expr
Class QueryLibraryImpl

    java.lang.Object
      net.sf.saxon.query.QueryModule
          net.sf.saxon.query.QueryLibrary
              com.saxonica.expr.QueryLibraryImpl

All Implemented Interfaces:
  StaticContext

    public class QueryLibraryImpl

extends QueryLibrary

Concrete implementation of a separately-compiled XQuery library

Constructor Summary
`QueryLibraryImpl(StaticQueryContext sqc)`

Method Summary
`void` | `link(QueryModule importer)` Link this library module to a module that imports it

Methods inherited from class net.sf.saxon.query.QueryModule
`addImportedNamespace, addImportedSchema, bindUnboundFunctionCalls, bindUnboundVariables, bindVariable, checkForCircularities, checkImportedFunctionSignature, checkImportedType, checkURIForPrefix, declareActiveNamespace, declareFunction, declarePrologNamespace, declareVariable, explainGlobalFunctions, fixupGlobalFunctions, fixupGlobalVariables, getActiveNamespaceCodes, getAllImportedSchemata, getBaseURI, getCodeInjector, getCollation, getConfiguration, getConstructionMode, getDecimalFormatManager, getDefaultCollationName, getDefaultElementNamespace, getDefaultFunctionNamespace, getExecutable, getFunctionLibrary, getGlobalFunctionLibrary, getGlobalStackFrameMap, getGlobalVariables, getImportedFunctionLibrary, getImportedSchemaNamespaces, getLanguageVersion, getLineNumber, getLocalFunctionLibrary, getLocationMap, getLocationURI, getModuleNamespace, getModuleVariables, getNamePool, getNamespaceResolver, getRequiredContextItemType, getRevalidationMode, getSystemId, getTopLevelModule, getURIForPrefix, getUserDefinedFunction, getUserQueryContext, getXPathLanguageLevel, importsNamespace, importsNamespaceIndirectly, isAllowedBuiltInType, isEmptyLeast, isImportedSchema, isInBackwardsCompatibleMode, isInheritNamespaces, isMainModule, isPreserveBoundarySpace, isPreserveNamespaces, isSchemaAware, issueWarning, isTopLevelModule, isUpdating, iterateImportedNamespaces, lookForModuleCycles, makeEarlyEvaluationContext, makeQueryModule, mayImportModule, optimizeGlobalFunctions, reportFatalError, setBaseURI, setConstructionMode, setDefaultCollationName, setDefaultElementNamespace, setDefaultFunctionNamespace, setEmptyLeast, setExecutable, setInheritNamespaces, setIsMainModule, setLocationURI, setModuleNamespace, setPreserveBoundarySpace, setPreserveNamespaces, setRevalidationMode, setUpdating, typeCheckGlobalVariables, undeclareNamespace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryLibraryImpl

    public QueryLibraryImpl(StaticQueryContext sqc)
                     throws XPathException

Throws:
  `XPathException`

Method Detail

### link

    public void link(QueryModule importer)
              throws XPathException

  Link this library module to a module that imports it

  Specified by:
    `link` in class `QueryLibrary`
  Parameters:
    `importer` - the importing module (a user of the library)
  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.